strongswan_5.5.1-4ubuntu2.2_all.deb


Advertisement

Description

strongswan - IPsec VPN solution metapackage

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Updates Main amd64
Package name strongswan
Package version 5.5.1
Package release 4ubuntu2.2
Package architecture all
Package type deb
Installed size 172 B
Download size 26.20 KB
Official Mirror archive.ubuntu.com
The strongSwan VPN suite uses the native IPsec stack in the standard Linux
kernel. It supports both the IKEv1 and IKEv2 protocols.
This metapackage installs the packages required to maintain IKEv1 and IKEv2
connections via ipsec.conf or ipsec.secrets.

Alternatives

Package Version Architecture Repository
strongswan_5.5.1-4ubuntu2.2_all.deb 5.5.1 all Ubuntu Updates Main
strongswan_5.5.1-4ubuntu2_all.deb 5.5.1 all Ubuntu Main
strongswan_5.5.1-4ubuntu2_all.deb 5.5.1 all Ubuntu Main
strongswan - - -

Requires

Name Value
strongswan-charon -
strongswan-starter -

Download

Type URL
Binary Package strongswan_5.5.1-4ubuntu2.2_all.deb
Source Package strongswan

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install strongswan deb package:
    # sudo apt-get install strongswan

Files

Path
/usr/share/doc/strongswan/NEWS.Debian.gz
/usr/share/doc/strongswan/README.Debian.gz
/usr/share/doc/strongswan/README.gz
/usr/share/doc/strongswan/changelog.Debian.gz
/usr/share/doc/strongswan/copyright

Changelog

2017-12-18 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
strongswan (5.5.1-4ubuntu2.2) artful; urgency=medium
* d/p/ikev1-First-do-PSK-lookups-lp1734207.patch ensure evaluation
with resolvable hostnames selects the right PSK (LP: #1734207).
2017-10-19 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
strongswan (5.5.1-4ubuntu2.1) artful; urgency=medium
* Fix Artful FTBFS due to newer glibc (LP: #1724859)
- d/p/utils-Include-stdint.h.patch: upstream fix for changed include
files.
2017-08-15 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
strongswan (5.5.1-4ubuntu2) artful; urgency=medium
* SECURITY UPDATE: Fix RSA signature verification
- debian/patches/CVE-2017-11185.patch: does some
verifications in order to avoid null-point dereference
in src/libstrongswan/gmp/gmp_rsa_public_key.c
- CVE-2017-11185

See Also

Package Description
sysstat_11.5.7-1ubuntu2_amd64.deb system performance tools for Linux
systemd-sysv_234-2ubuntu12.4_amd64.deb system and service manager - SysV links
systemd_234-2ubuntu12.4_amd64.deb system and service manager
tgt_1.0.71-1ubuntu2_amd64.deb Linux SCSI target user-space daemon and tools
thunderbird-dev_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Email, RSS and newsgroup client - development files
thunderbird-gnome-support_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Email, RSS and newsgroup client - GNOME support
thunderbird-locale-af_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Transitional package for unavailable language
thunderbird-locale-ar_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Arabic language pack for Thunderbird
thunderbird-locale-ast_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Asturian language pack for Thunderbird
thunderbird-locale-be_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Belarusian language pack for Thunderbird
thunderbird-locale-bg_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Bulgarian language pack for Thunderbird
thunderbird-locale-bn-bd_52.9.1+build3-0ubuntu0.17.10.1_all.deb Transitional Bengali language pack for Thunderbird
thunderbird-locale-bn_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Bengali language pack for Thunderbird
thunderbird-locale-br_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Breton language pack for Thunderbird
thunderbird-locale-ca_52.9.1+build3-0ubuntu0.17.10.1_amd64.deb Catalan; Valencian language pack for Thunderbird
Advertisement
Advertisement